Skip to content

API Endpoint Reference (1.0)

Tenovos offers a REST API for partner and customer integrations. This API provides a RESTful endpoint, token-based authorization, HTTP methods for operations, and JSON-formatted payloads. Use this API to incorporate Tenovos functionality into your own application.

This API is up-versioned when a breaking change is introduced such as

  • a change in the format of the response data for one or more calls
  • a change in the request or response type (i.e. changing an integer to a float)
  • removing any part of the API.

This API is not up-versioned for non-breaking changes such as

  • new endpoints
  • new response parameters
  • new optional request parameters
Download OpenAPI description
Languages
Servers
https://enterprise.services.tenovos.io/content-store-v1
https://enterprise-2.services.tenovos.io/content-store-v1
https://enterprise3.services.tenovos.io/content-store-v1
https://enterprise-4.services.tenovos.io/content-store-v1

Action Operations

Invoke the Action API to retrieve information about invoked Actions.

Operations

Asset Operations

Invoke the Asset API to create, retrieve, manipulate, and share Assets. This API also provides operations to manage Asset relationships and download Asset content.

Operations

Get the content file download link of an Asset.

Request

Retrieve a presigned URL to the Asset's source file by Object ID.

The user requesting the Asset's source file must have download access to the Asset.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/content' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

The response is a JSON object containing URL to download the content.

Bodyapplication/json
presignedURLstring(url)

URL to download an Asset content

Example: "https://contentstore.example.com/masters/055f4b24-0218-45ce-8d8f-2d39be0b676d/aerial-shot-1612461.jpg?..."
Response
application/json
{ "presignedURL": "https://contentstore.example.com/masters/055f4b24-0218-45ce-8d8f-2d39be0b676d/aerial-shot-1612461.jpg?..." }

Soft Delete or Un-delete an Asset.

Request

Soft delete or un-delete an Asset. An Asset that has been soft-deleted can be later purged from the recycle bin. A soft-deleted Asset cannot be edited or downloaded.

The user attempting to soft delete or un-delete an Asset must be granted the Delete Security Template permission on the Asset.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset Object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Content-Typestringrequired
Value"application/json"
Bodyapplication/jsonrequired

The request body is a JSON object. Use delete action to soft delete the asset and un-delete to un-delete the asset.

actionstring

specifies whether to delete or un-delete the asset

Enum"delete""undelete"
Example: "delete"
deleteTypestring

Delete Type: full, content, or metadata

Value"full"
Example: "full"
curl -i -X POST \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/delete' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "action": "delete",
    "deleteType": "full"
  }'

Responses

Successful operation

Bodyapplication/json
statusstring
Example: "success"
messagestring
Example: "Master Object update was successful"
datastring

Serialized JSON representation of object's data

Example: "{\"lastUpdatedEpoch\":1613671028496,\"metadataTemplateId\":\"ea6eb24d-adef-4080-bd02-f64f567c437f\",\"createdBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"originalFileId\":\"003391e4-e780-4186-b2d7-b5d4fcbe445d\",\"objectId\":\"e6f4bd5e-9bea-43cb-b15e-22582fa5d954\",\"renditionsDocument\":{\"fpo\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/animal-animal-photography-carnivore-2055100-fpo.png\",\"width\":2172,\"imagePreviewLarge\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-1000x1000.png\",\"imageThumb\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-200x200.png\",\"imagePreview\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-700x700.png\",\"mezzaninePreview\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/animal-animal-photography-carnivore-2055100-3000x3000.png\",\"height\":3322},\"lockType\":[],\"fileId\":\"003391e4-e780-4186-b2d7-b5d4fcbe445d\",\"metadataDocument\":\"[{\\\"metadataDefinitionId\\\":\\\"dfeb57c1-b149-4b15-920f-3f40ff0b959a\\\",\\\"metadataDefinitionValue\\\":\\\"50MB51MB\\\"},{\\\"metadataDefinitionId\\\":\\\"b8cacda9-6ef8-4be6-a529-c1f5a18f0143\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"df04b9de-e79e-48ed-b9ba-019f14ba17a5\\\"}},{\\\"metadataDefinitionId\\\":\\\"8ea42d4f-1d93-4f29-81f8-aaf9de729f20\\\"},{\\\"metadataDefinitionId\\\":\\\"9234ed7f-0af4-4f47-97a0-0cef3dfba607\\\"},{\\\"metadataDefinitionId\\\":\\\"9b1688dd-fcf8-4507-bc5b-88f6bcfe48dd\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"0303c809-d815-4865-97ba-b94c8f1e742b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"273b4f2c-cc0c-4290-bd47-2360a30ae7c4\\\"}}],[{\\\"metadataDefinitionId\\\":\\\"0303c809-d815-4865-97ba-b94c8f1e742b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"23fdd209-f51f-46a8-a64c-6272a79400a9\\\"}}]]},{\\\"metadataDefinitionId\\\":\\\"c8c719ed-f729-4569-b50a-c5e10fd32b23\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"15be99d0-1241-44d9-b359-6e99332ed962\\\",\\\"metadataDefinitionValue\\\":[{\\\"metadataDefinitionId\\\":\\\"db42dfa4-35f7-4242-9b0c-ff8dc6cdab8f\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"aeea73dd-2337-4e92-911e-83b4a0e7897c\\\"}},{\\\"metadataDefinitionId\\\":\\\"1de0dfa6-2a97-4031-8e3b-ca9487f459b7\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"19b9e829-f578-4379-8fd0-f43aff663e53\\\"}}]}]]},{\\\"metadataDefinitionId\\\":\\\"97de4763-684e-410e-bf79-414ec4b35608\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"445b691c-9a76-4800-a720-e99cf8e46230\\\"}},{\\\"metadataDefinitionId\\\":\\\"dc50d092-182b-49c2-ae64-b1ba561fe6d6\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"241189e9-420c-4f28-8ddf-72c542d4c3b9\\\"}},{\\\"metadataDefinitionId\\\":\\\"97a64a6c-50d6-406e-9473-79b3819b03e7\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"2017f4ff-f40f-4f71-9f38-45887225ea59\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"053358d0-7663-4d05-b3f2-cbd1ed1a2225\\\"}},{\\\"metadataDefinitionId\\\":\\\"4e30aa55-3870-424c-b456-c1131110cd1b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"fb3d0ddd-50c2-48cf-a291-7bd38ebec643\\\"}},{\\\"metadataDefinitionId\\\":\\\"3229e863-022b-4365-afe6-e9aa3807c386\\\",\\\"metadataDefinitionValue\\\":\\\"02/10/2021\\\"},{\\\"metadataDefinitionId\\\":\\\"9b51b9e2-0815-4f01-b63c-d13f75383746\\\",\\\"metadataDefinitionValue\\\":\\\"02/18/2021\\\"}]]},{\\\"metadataDefinitionId\\\":\\\"5de1238d-a703-4da3-aa2b-60a6a1c7cf2f\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"ea6eb24d-adef-4080-bd02-f64f567c437f\\\"}},{\\\"metadataDefinitionId\\\":\\\"68a7fcc6-090e-4b7f-920d-be0dbddb1ff3\\\",\\\"metadataDefinitionValue\\\":[{\\\"valueId\\\":\\\"7d6f4e30-f423-11e9-8071-89c0c4052141\\\"}]},{\\\"metadataDefinitionId\\\":\\\"721ff851-13cc-48fe-bc4b-3927d36450d4\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"7d675ef0-f423-11e9-8071-89c0c4052141\\\"}},{\\\"metadataDefinitionId\\\":\\\"2b2a54d7-1898-44f5-a0f5-bd56fa4a7485\\\",\\\"metadataDefinitionValue\\\":\\\"1608745510614\\\"},{\\\"metadataDefinitionId\\\":\\\"baedc7de-c79e-4f4f-8648-1b19737a30ed\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"8157e90c-90f4-4537-9935-1a3bf011a526\\\"}},{\\\"metadataDefinitionId\\\":\\\"e3667a6f-1e09-4afb-85ee-0a5c2174d4f0\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"0de14dd8-7d39-466a-a8a9-9f35ab722cac\\\"}}]\",\"metadataDeletedEpoch\":1613671241253,\"technicalMetadataDocument\":\"{\\\"tenovos_metadata\\\":{\\\"fileName\\\":\\\"animal-animal-photography-carnivore-2055100.jpg\\\",\\\"fileSize\\\":\\\"940 kB\\\",\\\"MD5Checksum\\\":\\\"b746d0fbffcbace4841709039b1f53ae\\\"},\\\"image_metadata\\\":{\\\"fileName\\\":\\\"animal-animal-photography-carnivore-2055100.jpg\\\",\\\"fileSize\\\":\\\"940 kB\\\",\\\"fileType\\\":\\\"JPEG\\\",\\\"fileTypeExtension\\\":\\\"jpg\\\",\\\"mimeType\\\":\\\"image/jpeg\\\",\\\"jfifVersion\\\":1.01,\\\"resolutionUnit\\\":\\\"inches\\\",\\\"xResolution\\\":72,\\\"yResolution\\\":72,\\\"profileCMMType\\\":\\\"Linotronic\\\",\\\"profileVersion\\\":\\\"2.1.0\\\",\\\"profileClass\\\":\\\"Display Device Profile\\\",\\\"colorSpaceData\\\":\\\"RGB\\\",\\\"profileConnectionSpace\\\":\\\"XYZ\\\",\\\"profileDateTime\\\":\\\"1998:02:09 06:49:00\\\",\\\"profileFileSignature\\\":\\\"acsp\\\",\\\"primaryPlatform\\\":\\\"Microsoft Corporation\\\",\\\"cmmFlags\\\":\\\"Not Embedded, Independent\\\",\\\"deviceManufacturer\\\":\\\"Hewlett-Packard\\\",\\\"deviceModel\\\":\\\"sRGB\\\",\\\"deviceAttributes\\\":\\\"Reflective, Glossy, Positive, Color\\\",\\\"renderingIntent\\\":\\\"Perceptual\\\",\\\"connectionSpaceIlluminant\\\":\\\"0.9642 1 0.82491\\\",\\\"profileCreator\\\":\\\"Hewlett-Packard\\\",\\\"profileID\\\":\\\"0\\\",\\\"profileCopyright\\\":\\\"Copyright (c) 1998 Hewlett-Packard Company\\\",\\\"profileDescription\\\":\\\"sRGB IEC61966-2.1\\\",\\\"mediaWhitePoint\\\":\\\"0.95045 1 1.08905\\\",\\\"mediaBlackPoint\\\":\\\"0 0 0\\\",\\\"redMatrixColumn\\\":\\\"0.43607 0.22249 0.01392\\\",\\\"greenMatrixColumn\\\":\\\"0.38515 0.71687 0.09708\\\",\\\"blueMatrixColumn\\\":\\\"0.14307 0.06061 0.7141\\\",\\\"deviceMfgDesc\\\":\\\"IEC http://www.iec.ch\\\",\\\"deviceModelDesc\\\":\\\"IEC 61966-2.1 Default RGB colour space - sRGB\\\",\\\"viewingCondDesc\\\":\\\"Reference Viewing Condition in IEC61966-2.1\\\",\\\"viewingCondIlluminant\\\":\\\"19.6445 20.3718 16.8089\\\",\\\"viewingCondSurround\\\":\\\"3.92889 4.07439 3.36179\\\",\\\"viewingCondIlluminantType\\\":\\\"D50\\\",\\\"luminance\\\":\\\"76.03647 80 87.12462\\\",\\\"measurementObserver\\\":\\\"CIE 1931\\\",\\\"measurementBacking\\\":\\\"0 0 0\\\",\\\"measurementGeometry\\\":\\\"Unknown\\\",\\\"measurementFlare\\\":\\\"0.999%\\\",\\\"measurementIlluminant\\\":\\\"D65\\\",\\\"technology\\\":\\\"Cathode Ray Tube Display\\\",\\\"redToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"greenToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"blueToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"imageWidth\\\":2172,\\\"imageHeight\\\":3322,\\\"encodingProcess\\\":\\\"Baseline DCT, Huffman coding\\\",\\\"bitsPerSample\\\":8,\\\"colorComponents\\\":3,\\\"yCbCrSubSampling\\\":\\\"YCbCr4:2:0 (2 2)\\\",\\\"imageSize\\\":\\\"2172x3322\\\",\\\"megapixels\\\":7.2}}\",\"AITags\":[],\"lastUpdatedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"metadataState\":\"recycle bin\",\"objectType\":\"Asset\",\"securityTemplateIds\":[\"7d6f4e30-f423-11e9-8071-89c0c4052141\"],\"fileDeletedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"metadataDeletedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"currentVersion\":\"N\",\"versionNumber\":1608745510614,\"filename\":\"animal-animal-photography-carnivore-2055100.jpg\",\"lockStatus\":\"unlocked\",\"createdEpoch\":1608745510614,\"childProductIds\":[],\"digitalAssetIds\":[],\"customerId\":\"1571671854139\",\"fileState\":\"recycle bin\",\"fileDeletedEpoch\":1613671241253}"
Response
application/json
{ "status": "success", "message": "Master Object update was successful", "data": "{\"lastUpdatedEpoch\":1613671028496,\"metadataTemplateId\":\"ea6eb24d-adef-4080-bd02-f64f567c437f\",\"createdBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"originalFileId\":\"003391e4-e780-4186-b2d7-b5d4fcbe445d\",\"objectId\":\"e6f4bd5e-9bea-43cb-b15e-22582fa5d954\",\"renditionsDocument\":{\"fpo\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/animal-animal-photography-carnivore-2055100-fpo.png\",\"width\":2172,\"imagePreviewLarge\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-1000x1000.png\",\"imageThumb\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-200x200.png\",\"imagePreview\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/e5d61ed7-b859-493a-a7bb-eb89b0953b9f-700x700.png\",\"mezzaninePreview\":\"https://dev.content.tenovos.io/1571671854139/003391e4-e780-4186-b2d7-b5d4fcbe445d/animal-animal-photography-carnivore-2055100-3000x3000.png\",\"height\":3322},\"lockType\":[],\"fileId\":\"003391e4-e780-4186-b2d7-b5d4fcbe445d\",\"metadataDocument\":\"[{\\\"metadataDefinitionId\\\":\\\"dfeb57c1-b149-4b15-920f-3f40ff0b959a\\\",\\\"metadataDefinitionValue\\\":\\\"50MB51MB\\\"},{\\\"metadataDefinitionId\\\":\\\"b8cacda9-6ef8-4be6-a529-c1f5a18f0143\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"df04b9de-e79e-48ed-b9ba-019f14ba17a5\\\"}},{\\\"metadataDefinitionId\\\":\\\"8ea42d4f-1d93-4f29-81f8-aaf9de729f20\\\"},{\\\"metadataDefinitionId\\\":\\\"9234ed7f-0af4-4f47-97a0-0cef3dfba607\\\"},{\\\"metadataDefinitionId\\\":\\\"9b1688dd-fcf8-4507-bc5b-88f6bcfe48dd\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"0303c809-d815-4865-97ba-b94c8f1e742b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"273b4f2c-cc0c-4290-bd47-2360a30ae7c4\\\"}}],[{\\\"metadataDefinitionId\\\":\\\"0303c809-d815-4865-97ba-b94c8f1e742b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"23fdd209-f51f-46a8-a64c-6272a79400a9\\\"}}]]},{\\\"metadataDefinitionId\\\":\\\"c8c719ed-f729-4569-b50a-c5e10fd32b23\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"15be99d0-1241-44d9-b359-6e99332ed962\\\",\\\"metadataDefinitionValue\\\":[{\\\"metadataDefinitionId\\\":\\\"db42dfa4-35f7-4242-9b0c-ff8dc6cdab8f\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"aeea73dd-2337-4e92-911e-83b4a0e7897c\\\"}},{\\\"metadataDefinitionId\\\":\\\"1de0dfa6-2a97-4031-8e3b-ca9487f459b7\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"19b9e829-f578-4379-8fd0-f43aff663e53\\\"}}]}]]},{\\\"metadataDefinitionId\\\":\\\"97de4763-684e-410e-bf79-414ec4b35608\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"445b691c-9a76-4800-a720-e99cf8e46230\\\"}},{\\\"metadataDefinitionId\\\":\\\"dc50d092-182b-49c2-ae64-b1ba561fe6d6\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"241189e9-420c-4f28-8ddf-72c542d4c3b9\\\"}},{\\\"metadataDefinitionId\\\":\\\"97a64a6c-50d6-406e-9473-79b3819b03e7\\\",\\\"metadataDefinitionTableValue\\\":[[{\\\"metadataDefinitionId\\\":\\\"2017f4ff-f40f-4f71-9f38-45887225ea59\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"053358d0-7663-4d05-b3f2-cbd1ed1a2225\\\"}},{\\\"metadataDefinitionId\\\":\\\"4e30aa55-3870-424c-b456-c1131110cd1b\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"fb3d0ddd-50c2-48cf-a291-7bd38ebec643\\\"}},{\\\"metadataDefinitionId\\\":\\\"3229e863-022b-4365-afe6-e9aa3807c386\\\",\\\"metadataDefinitionValue\\\":\\\"02/10/2021\\\"},{\\\"metadataDefinitionId\\\":\\\"9b51b9e2-0815-4f01-b63c-d13f75383746\\\",\\\"metadataDefinitionValue\\\":\\\"02/18/2021\\\"}]]},{\\\"metadataDefinitionId\\\":\\\"5de1238d-a703-4da3-aa2b-60a6a1c7cf2f\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"ea6eb24d-adef-4080-bd02-f64f567c437f\\\"}},{\\\"metadataDefinitionId\\\":\\\"68a7fcc6-090e-4b7f-920d-be0dbddb1ff3\\\",\\\"metadataDefinitionValue\\\":[{\\\"valueId\\\":\\\"7d6f4e30-f423-11e9-8071-89c0c4052141\\\"}]},{\\\"metadataDefinitionId\\\":\\\"721ff851-13cc-48fe-bc4b-3927d36450d4\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"7d675ef0-f423-11e9-8071-89c0c4052141\\\"}},{\\\"metadataDefinitionId\\\":\\\"2b2a54d7-1898-44f5-a0f5-bd56fa4a7485\\\",\\\"metadataDefinitionValue\\\":\\\"1608745510614\\\"},{\\\"metadataDefinitionId\\\":\\\"baedc7de-c79e-4f4f-8648-1b19737a30ed\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"8157e90c-90f4-4537-9935-1a3bf011a526\\\"}},{\\\"metadataDefinitionId\\\":\\\"e3667a6f-1e09-4afb-85ee-0a5c2174d4f0\\\",\\\"metadataDefinitionValue\\\":{\\\"valueId\\\":\\\"0de14dd8-7d39-466a-a8a9-9f35ab722cac\\\"}}]\",\"metadataDeletedEpoch\":1613671241253,\"technicalMetadataDocument\":\"{\\\"tenovos_metadata\\\":{\\\"fileName\\\":\\\"animal-animal-photography-carnivore-2055100.jpg\\\",\\\"fileSize\\\":\\\"940 kB\\\",\\\"MD5Checksum\\\":\\\"b746d0fbffcbace4841709039b1f53ae\\\"},\\\"image_metadata\\\":{\\\"fileName\\\":\\\"animal-animal-photography-carnivore-2055100.jpg\\\",\\\"fileSize\\\":\\\"940 kB\\\",\\\"fileType\\\":\\\"JPEG\\\",\\\"fileTypeExtension\\\":\\\"jpg\\\",\\\"mimeType\\\":\\\"image/jpeg\\\",\\\"jfifVersion\\\":1.01,\\\"resolutionUnit\\\":\\\"inches\\\",\\\"xResolution\\\":72,\\\"yResolution\\\":72,\\\"profileCMMType\\\":\\\"Linotronic\\\",\\\"profileVersion\\\":\\\"2.1.0\\\",\\\"profileClass\\\":\\\"Display Device Profile\\\",\\\"colorSpaceData\\\":\\\"RGB\\\",\\\"profileConnectionSpace\\\":\\\"XYZ\\\",\\\"profileDateTime\\\":\\\"1998:02:09 06:49:00\\\",\\\"profileFileSignature\\\":\\\"acsp\\\",\\\"primaryPlatform\\\":\\\"Microsoft Corporation\\\",\\\"cmmFlags\\\":\\\"Not Embedded, Independent\\\",\\\"deviceManufacturer\\\":\\\"Hewlett-Packard\\\",\\\"deviceModel\\\":\\\"sRGB\\\",\\\"deviceAttributes\\\":\\\"Reflective, Glossy, Positive, Color\\\",\\\"renderingIntent\\\":\\\"Perceptual\\\",\\\"connectionSpaceIlluminant\\\":\\\"0.9642 1 0.82491\\\",\\\"profileCreator\\\":\\\"Hewlett-Packard\\\",\\\"profileID\\\":\\\"0\\\",\\\"profileCopyright\\\":\\\"Copyright (c) 1998 Hewlett-Packard Company\\\",\\\"profileDescription\\\":\\\"sRGB IEC61966-2.1\\\",\\\"mediaWhitePoint\\\":\\\"0.95045 1 1.08905\\\",\\\"mediaBlackPoint\\\":\\\"0 0 0\\\",\\\"redMatrixColumn\\\":\\\"0.43607 0.22249 0.01392\\\",\\\"greenMatrixColumn\\\":\\\"0.38515 0.71687 0.09708\\\",\\\"blueMatrixColumn\\\":\\\"0.14307 0.06061 0.7141\\\",\\\"deviceMfgDesc\\\":\\\"IEC http://www.iec.ch\\\",\\\"deviceModelDesc\\\":\\\"IEC 61966-2.1 Default RGB colour space - sRGB\\\",\\\"viewingCondDesc\\\":\\\"Reference Viewing Condition in IEC61966-2.1\\\",\\\"viewingCondIlluminant\\\":\\\"19.6445 20.3718 16.8089\\\",\\\"viewingCondSurround\\\":\\\"3.92889 4.07439 3.36179\\\",\\\"viewingCondIlluminantType\\\":\\\"D50\\\",\\\"luminance\\\":\\\"76.03647 80 87.12462\\\",\\\"measurementObserver\\\":\\\"CIE 1931\\\",\\\"measurementBacking\\\":\\\"0 0 0\\\",\\\"measurementGeometry\\\":\\\"Unknown\\\",\\\"measurementFlare\\\":\\\"0.999%\\\",\\\"measurementIlluminant\\\":\\\"D65\\\",\\\"technology\\\":\\\"Cathode Ray Tube Display\\\",\\\"redToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"greenToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"blueToneReproductionCurve\\\":\\\"(Binary data 2060 bytes, use -b option to extract)\\\",\\\"imageWidth\\\":2172,\\\"imageHeight\\\":3322,\\\"encodingProcess\\\":\\\"Baseline DCT, Huffman coding\\\",\\\"bitsPerSample\\\":8,\\\"colorComponents\\\":3,\\\"yCbCrSubSampling\\\":\\\"YCbCr4:2:0 (2 2)\\\",\\\"imageSize\\\":\\\"2172x3322\\\",\\\"megapixels\\\":7.2}}\",\"AITags\":[],\"lastUpdatedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"metadataState\":\"recycle bin\",\"objectType\":\"Asset\",\"securityTemplateIds\":[\"7d6f4e30-f423-11e9-8071-89c0c4052141\"],\"fileDeletedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"metadataDeletedBy\":\"7d675ef0-f423-11e9-8071-89c0c4052141\",\"currentVersion\":\"N\",\"versionNumber\":1608745510614,\"filename\":\"animal-animal-photography-carnivore-2055100.jpg\",\"lockStatus\":\"unlocked\",\"createdEpoch\":1608745510614,\"childProductIds\":[],\"digitalAssetIds\":[],\"customerId\":\"1571671854139\",\"fileState\":\"recycle bin\",\"fileDeletedEpoch\":1613671241253}" }

Get latest version of an Asset.

Request

Retrieve latest version of an Asset by specifying an Object ID in the request path.

The user requesting the Asset must have view access to the Asset in order to retrieve the Asset.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset Object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/latest' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

Returns JSON object

Bodyapplication/json
createdBystring(uuid)

User ID who created this Asset

Example: "7d675ef0-f423-11e9-8071-89c0c405214e"
createdEpochinteger

Creation time in milliseconds

Example: 1608745510614
currentVersionstring

Current version flag

Enum"Y""N"
Example: "Y"
customerIdstring

Customer ID of Created By User's Account

Example: "123203455"
fileIdstring(uuid)

Asset File ID

filenamestring

Asset content file name

Example: "adventure-alps-beautiful-landscape-2444403.jpg"
fileStatestring

Asset content file state

Enum"available""recycle bin"
lastUpdatedByany(uuid)

User ID who last updated the asset

Example: "7d675ef0-f423-11e9-8071-89c0c40133ds"
lastUpdatedEpochinteger

Last update time in milliseconds

Example: 1612333543954
metadataArray of MetadataStringValue (object) or MetadataRestrictedVocabularyValue (object) or MetadataDateValue (object) or MetadataMultiValue (object) or MetadataGridValue (object)(MetadataDocument)

Array of metadata attributes

metadataDenormalizedobject

Metadata document is a flat list of metadata attributes and values, where values are either in text values or foreign keys / referential values

metadataStatestring

Asset metadata state

Enum"available""recycle bin"
Example: "available"
metadataTemplateIdstring(uuid)

Metadata Template ID

Example: "ea6eb24d-adef-4380-bd02-f64f567c437f"
objectIdstring(uuid)

Asset Object ID

Example: "e6f4bd5e-9bea-43cb-b15e-22582fa5322e"
objectTypestring

Asset Object type

Value"Asset"
Example: "Asset"
originalFileIdstring(uuid)

The ID of the original version of the file

Example: "003391e4-e78a-4186-b2d7-b5d4fcbe445d"
renditionsobject(AssetRenditions)

Renditions details

securityTemplateIdsArray of strings(uuid)

List of Security Template IDs

Example: ["7d6f4e30-f423-11e9-8071-89c0c4052156"]
securityDenormalizedArray of objects(AssetSecurityDenormalized)
technicalMetadataobject(AssetTechnicalMetadata)

Technical metadata about the asset

presignedURLstring

The URL to download the file. Populated for download requests.

linkTypestring
relationshipIdstring
secondaryIdstring
versionNumberintegerDeprecated

Asset version number

Response
application/json
{ "createdBy": "7d675ef0-f423-11e9-8071-89c0c405214e", "createdEpoch": 1608745510614, "currentVersion": "Y", "customerId": "123203455", "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc", "filename": "adventure-alps-beautiful-landscape-2444403.jpg", "fileState": "available", "lastUpdatedBy": "7d675ef0-f423-11e9-8071-89c0c40133ds", "lastUpdatedEpoch": 1612333543954, "metadata": [ { … } ], "metadataDenormalized": {}, "metadataState": "available", "metadataTemplateId": "ea6eb24d-adef-4380-bd02-f64f567c437f", "objectId": "e6f4bd5e-9bea-43cb-b15e-22582fa5322e", "objectType": "Asset", "originalFileId": "003391e4-e78a-4186-b2d7-b5d4fcbe445d", "renditions": { "width": 4000, "imageThumb": "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-89d5-42f6-77217a9f09f2-200x200.png", "imagePreview": "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-42f6-89d5-77217a9f09f2-700x700.png", "fpo": "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/adventure-alps-beautiful-landscape-2444403-fpo.png", "imagePreviewLarge": "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-42f6-89d5-77217a9f09f2-1000x1000.png", "mezzaninePreview": "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/adventure-alps-beautiful-landscape-2444403-3000x3000.png", "height": 6000 }, "securityTemplateIds": [ "7d6f4e30-f423-11e9-8071-89c0c4052156" ], "securityDenormalized": [ { … } ], "technicalMetadata": { "tenovos_metadata": { … }, "image_metadata": { … } }, "versionNumber": 0, "presignedURL": "string", "linkType": "string", "relationshipId": "string", "secondaryId": "string" }

Authentication Operations

Invoke the Authentication API to generate, refresh, and revoke access tokens. An access token is required to perform any authorized API operation.

Operations

Collection Operations

Invoke the Collection API to create, retrieve, edit, and delete Collections. Collections are used to group and catalog related Assets for quick access and consumption. Collections can be configured as:

  • private: Visible only to the user who created the Collection.
  • secured: Visible to shared users with permission.

When retrieving the Assets within a Collection, the requesting user will only see the Assets that the user has access to view. For example, a librarian may see all Assets within a Collection, but a general consumer user may only see a portion of those Assets, due to limited security access.

Operations

Customer Operations

Invoke the Customer API to retrieve Customer account profile information.

Operations

Metadata Operations

Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset.

Operations

Search Operations

Search for Collections by Collection name.

Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint.

Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets.

Operations

Security Operations

Invoke the Metadata API to retrieve Security Template information to be applied to Assets during Asset creation or edit.

Operations

User Operations

Invoke the User API to retrieve User profile information.

Operations

Proof Operations

Operations

Cart Operations

Operations